Skip to main content
GET
/
case
/
id
/
{caseId}
/
services
Get all services for case
curl --request GET \
  --url https://api-stage.karmacheck.io/case/id/{caseId}/services \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-stage.karmacheck.io/case/id/{caseId}/services"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-stage.karmacheck.io/case/id/{caseId}/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "serviceGroupServices": [
    {
      "serviceGroupId": "8afb91ff-7958-4f42-90e1-9bfed7db9bbf",
      "serviceGroupName": "Basic Check 2023-04-13T20:51:49.938Z",
      "serviceGroupPrice": 1337,
      "serviceGroupDescription": "Common services for a basic background check",
      "serviceId": "03635d39-c9df-418f-948d-10d38a7e06db",
      "serviceName": "National Sex Offender Search Alt",
      "serviceDescription": "Search for candidate sex offender history",
      "serviceTypeId": "30bc2c03-c8dd-409a-8da6-e0070ea6a681",
      "serviceTypeName": "Screening",
      "serviceGroupEnabled": true,
      "serviceEnabled": true,
      "serviceAutoProcessEnabled": true,
      "serviceTypeEnabled": true,
      "serviceCategory": "Criminal Check",
      "serviceCategoryId": "service-cat-criminal",
      "conditional": false,
      "defaultSelected": false,
      "enabled": true,
      "serviceGroupServicesId": "d2ff35ec-4da4-4a82-bb72-80980fc658ff",
      "caseId": "1234a56b-24ed-9874-ae77-9fccc6a25474",
      "packageName": "Basic Check",
      "candidateId": "1b23c456-d211-42c8-dde8-8a5f84c9def2",
      "groupProfileId": "ab0123c4-de56-4c96-cc22-06ae7e123fd2"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

caseId
string
required

Response

OK

serviceGroupServices
object[]
required

A list of services, each containing detailed information about a service.